Page MenuHomePhabricator

Enable RSS (Receive Side Scaling) and Multiqueue for Intel drivers
Closed, ResolvedPublicBUG

Description

The igb driver included in VyOS does not enable multiqueue by default. It's enabled by default in the version included with Linux.

This reduces the overall performance of the router especially during an attack.

I worked around it by placing this in /etc/modprobe.d/igb-options.conf:

options igb RSS=0,0

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-rolling+201907230337
Why the issue appeared?
Other

Event Timeline

c-po claimed this task.Jul 31 2019, 2:14 PM
c-po renamed this task from igb multiqueue not enabled to Enable RSS (Receive Side Scaling) and Multiqueue for Intel drivers.Jul 31 2019, 7:32 PM
c-po updated the task description. (Show Details)
c-po added a comment.Jul 31 2019, 7:35 PM

This is applicable for the Intel IGB and IXGBE drivers

c-po changed the task status from Open to Needs testing.Jul 31 2019, 7:42 PM
c-po added a project: VyOS 1.3 Equuleus.
c-po moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
c-po moved this task from Need Triage to VyOS 1.2.3 on the VyOS 1.2 Crux board.
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.3); removed VyOS 1.2 Crux.
c-po moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.3) board.
c-po changed the task status from Needs testing to Backport pending.Aug 2 2019, 8:42 AM
Please test with tomorrows rolling release.

It worked fine for me.

Thanks.

--

c-po closed this task as Resolved.Aug 3 2019, 4:08 PM
c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.
c-po moved this task from Backlog to Finished on the VyOS 1.2 Crux (VyOS 1.2.3) board.
c-po changed Why the issue appeared? from Will be filled on close to Other.